Subject: Re: bug#35659: 26.1; Weird horizontal scroll behavior with certain settings for `auto-hscroll-mode' and `hscroll-step`.

From: Clemens Radermacher <[email-masked]>
Date: Fri, 10 May 2019 15:44:01 +0200

>> > By default, they are scrolled, exactly as they are when
>> > auto-hscroll-mode is t.
>> 
>> This is not the behavior you get with auto-hscroll-mode set to t. 
> 
> Maybe I'm confused: what is the "behavior you get with
> auto-hscroll-mode set to t" to which you allude here?

Sorry, it seems I was wrong. The window stays scrolled for the shorter lines 
here, as well (unless it's an empty one, then the scrolling resets).  

Still I think when the shorter lines don't get pushed around
with hscroll-step 0, it shouldn't happen with hscroll-step set to another value.

>> If you don't want to touch that code, I as a newbie won't dare to touch it either ;)
> 
> I definitely don't.  Someone challenged me to provide this "scroll
> only the current line" mode in Emacs, so I coded it.  I definitely
> don't want to make it messier than it is already.  Still, volunteers
> are welcome.

Thank you for doing it, it's really a great feature and I like it. I guess
I have to live with the default setting for hscroll-step then.

        Clemens